# Maintainer: Marty Oehme <marty.oehme@gmail.com>

pkgname=ucollage-git
_gitname=${pkgname%-git}
pkgver=r54.9959db6
pkgrel=1
pkgdesc="An image viewer for the terminal based on Überzug"
arch=(any)
url=https://gitlab.com/moehme-repo/packages/ucollage.git
license=(GPL)
depends=(ueberzug bash file coreutils)
makedepends=(git)
provides=("$_gitname")
conflicts=("$_gitname")
source=(git+https://gitlab.com/moehme-repo/packages/ucollage.git#branch=master)
md5sums=('SKIP')

pkgver() {
    cd "$srcdir/$_gitname"

    _commit=$(git rev-list --count HEAD)
    _hash=$(git rev-parse --short HEAD)
    echo "r$_commit.$_hash"
}

package() {
  cd "$srcdir/$_gitname"

  typeset _bindir="${pkgdir}/usr/bin"

  typeset _docdir="${pkgdir}/usr/share/doc/${_gitname}"
  typeset _licdir="${pkgdir}/usr/share/licenses/${_gitname}"

  install -dm0755 "${_bindir}"
  install -Dm0755 ucollage "${_bindir}"

  install -dm0755 "${_licdir}"
  install -Dm0644 LICENSE "${_licdir}"

  install -dm0755 "${_docdir}"
  install -Dm0644 README.md "${_docdir}"
}
